Bug 617323 - EAP 5.1.0 + HornetQ "Start": CNFEx - GNU Trove
EAP 5.1.0 + HornetQ "Start": CNFEx - GNU Trove
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.3.1
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 15:04 EDT by Ondřej Žižka
Modified: 2014-06-17 17:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 17:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2010-07-22 15:04:54 EDT
STR:

1) Unzip EAP 5.1.0.CR1
2) Apply the HornetQ's switch.sh
3) Start EAP - bin/run.sh -c production
4) Inventorize it
5) It will be displayed as DOWN
6) Shut it down
7) Try it's "Start" operation
8) It will end with Failure, with the following stacktrace:


java.lang.Exception: java.lang.NoClassDefFoundError: gnu/trove/TLongObjectHashMap
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:530)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)
Caused by: java.lang.NoClassDefFoundError: gnu/trove/TLongObjectHashMap
	at org.jboss.aop.AspectManager.<init>(AspectManager.java:121)
	at org.jboss.aop.AspectManager$1.run(AspectManager.java:280)
	at org.jboss.aop.AspectManager$1.run(AspectManager.java:267)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.jboss.aop.AspectManager.initManager(AspectManager.java:266)
	at org.jboss.aop.AspectManager.instance(AspectManager.java:245)
	at org.jboss.aop.AspectManager.instance(AspectManager.java:234)
	at org.jboss.aop.proxy.ProxyFactory.createProxyCtClass(ProxyFactory.java:150)
	at org.jboss.aop.proxy.ProxyFactory.createProxyClass(ProxyFactory.java:119)
	at org.jboss.aop.proxy.ProxyFactory.createInterfaceProxy(ProxyFactory.java:96)
	at org.jboss.aop.proxy.MarshalledInterfaceProxy.readResolve(MarshalledInterfaceProxy.java:72)
	at sun.reflect.GeneratedMethodAccessor612.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at java.io.ObjectStreamClass.invokeReadResolve(ObjectStreamClass.java:1061)
	at java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStream.java:1762)
	at java.io.ObjectInputStream.readObject0(ObjectInputStream.java:1329)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:351)
	at java.rmi.MarshalledObject.get(MarshalledObject.java:142)
	at org.jnp.interfaces.MarshalledValuePair.get(MarshalledValuePair.java:72)
	at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:769)
	at org.jnp.interfaces.NamingContext.lookup(NamingContext.java:686)
	at javax.naming.InitialContext.lookup(InitialContext.java:392)
	at org.rhq.plugins.jbossas5.connection.AbstractProfileServiceConnectionProvider.lookup(AbstractProfileServiceConnectionProvider.java:81)
	at org.rhq.plugins.jbossas5.connection.RemoteProfileServiceConnectionProvider.doConnect(RemoteProfileServiceConnectionProvider.java:108)
	at org.rhq.plugins.jbossas5.connection.RemoteProfileServiceConnectionProvider.doConnect(RemoteProfileServiceConnectionProvider.java:43)
	at org.rhq.plugins.jbossas5.connection.AbstractProfileServiceConnectionProvider.connect(AbstractProfileServiceConnectionProvider.java:42)
	at org.rhq.plugins.jbossas5.ApplicationServerComponent.connectToProfileService(ApplicationServerComponent.java:316)
	at org.rhq.plugins.jbossas5.ApplicationServerComponent.getAvailability(ApplicationServerComponent.java:136)
	at org.rhq.plugins.jbossas5.ApplicationServerOperationsDelegate.waitForServerToStart(ApplicationServerOperationsDelegate.java:495)
	at org.rhq.plugins.jbossas5.ApplicationServerOperationsDelegate.start(ApplicationServerOperationsDelegate.java:241)
	at org.rhq.plugins.jbossas5.ApplicationServerOperationsDelegate.invoke(ApplicationServerOperationsDelegate.java:142)
	at org.rhq.plugins.jbossas5.ApplicationServerComponent.invokeOperation(ApplicationServerComponent.java:524)
	at sun.reflect.GeneratedMethodAccessor285.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
	... 5 more
Caused by: java.lang.ClassNotFoundException: gnu.trove.TLongObjectHashMap
	at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
	at org.rhq.core.pc.plugin.PluginClassLoader.loadClass(PluginClassLoader.java:63)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
	... 42 more
Comment 1 Ondřej Žižka 2010-07-22 15:23:43 EDT
(21:10:05) ips: it's actually the as5 plugin that can't find that class, not the EAP server itself

The server started.
Shutdown fails with the same, server is not shut down.

EAP's contains client/trove.jar .
Comment 2 Ondřej Žižka 2010-07-22 16:13:57 EDT
Also happened with clean EAP 5.1.0.CR1 without HornetQ.
Comment 3 Ondřej Žižka 2010-07-22 21:06:49 EDT
I got to the same state with a fresh installation of EAP. So I will try to recall what exactly I did:

0) Fresh install of JON 2.3.1.
1) Install EAP 5.1.0.CR1, switch to HornetQ, switch to CXF WS.
2) bin/run.sh -c all -b 0.0.0.0
3) rhq-agent.sh --cleanconfig, default values
4) stop / start / stop operations
5) bin/run.sh -c web -b 0.0.0.0 
   This failed with an EAP exception - CNFEx org.jboss.jms.server.destination.JBossMessagingCreateDestinationFactory
6) Ctrl+C
7) bin/run.sh -c standard -b 0.0.0.0 
8) Uninventorized the "all" eap instance
9) `discovery` in agent's console 
10) AutoDiscovery tree, added only the "standard" EAP
11) Now, the EAP shows as DOWN a and the agent log contains the stacktrace above.
Comment 4 Corey Welton 2010-09-28 08:19:38 EDT
 ips - what would it take to fix?
Comment 5 Jay Shaughnessy 2014-06-17 17:15:39 EDT
closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.